#
# Conditional build:
%bcond_without	ocaml_opt	# skip building native optimized binaries (bytecode is always built)

# not yet available on x32 (ocaml 4.02.1), update when upstream will support it
%ifnarch %{ix86} %{x8664} %{arm} aarch64 ppc sparc sparcv9
%undefine	with_ocaml_opt
%endif

Summary:	OCaml gettext library
Summary(pl.UTF-8):	Biblioteka gettext dla OCamla
Name:		ocaml-gettext
Version:	0.4.2
Release:	2
License:	LGPL v2 with linking exception
Group:		Libraries
Source0:	https://github.com/gildor478/ocaml-gettext/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	d277c08ceab22404f01fbdbc74d5c747
URL:		http://forge.ocamlcore.org/projects/ocaml-gettext
BuildRequires:	cppo
BuildRequires:	docbook-dtd43-xml
BuildRequires:	docbook-style-xsl
BuildRequires:	libxml2-progs
BuildRequires:	libxslt-progs
BuildRequires:	ocaml >= 3.04-7
BuildRequires:	ocaml-camlp4
BuildRequires:	ocaml-camomile-devel
BuildRequires:	ocaml-fileutils-devel
BuildRequires:	ocaml-findlib
%requires_eq	ocaml-runtime
Requires:	ocaml-camomile
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%if %{without ocaml_opt}
%define		no_install_post_strip	1
# no opt means no native binary, stripping bytecode breaks such programs
%define		_enable_debug_packages	0
%endif

%description
This library is a wrapper around gettext, it also provides a pure
OCaml implementation based on camomile.

This package contains files needed to run bytecode executables using
gettext library.

%description -l pl.UTF-8
Ta biblioteka jest obudowaniem gettexta; zawiera także czysto ocamlową
implementację opartą na camomile.

Pakiet ten zawiera binaria potrzebne do uruchamiania programów
używających biblioteki gettext.

%package devel
Summary:	OCaml gettext library - development part
Summary(pl.UTF-8):	Biblioteka gettext dla OCamla - cześć programistyczna
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%requires_eq ocaml

%description devel
This package contains files needed to develop OCaml programs using
gettext library.

%description devel -l pl.UTF-8
Pakiet ten zawiera pliki niezbędne do tworzenia programów w OCamlu
używających biblioteki gettext.

%prep
%setup -q

%build
dune build --verbose

%install
rm -rf $RPM_BUILD_ROOT

dune install --destdir=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -r examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.md README.md TODO.md
%dir %{_libdir}/ocaml/gettext
%{_libdir}/ocaml/gettext/META
%{_libdir}/ocaml/gettext/*.cma
%attr(755,root,root) %{_libdir}/ocaml/stublibs/dllgettextStub_stubs.so
%dir %{_libdir}/ocaml/gettext-camomile
%{_libdir}/ocaml/gettext-camomile/META
%{_libdir}/ocaml/gettext-camomile/*.cma
%dir %{_libdir}/ocaml/gettext-stub
%{_libdir}/ocaml/gettext-stub/META
%{_libdir}/ocaml/gettext-stub/*.cma
%dir %{_libdir}/ocaml/gettext/base
%{_libdir}/ocaml/gettext/base/*.cma
%dir %{_libdir}/ocaml/gettext/extension
%{_libdir}/ocaml/gettext/extension/*.cma
%if %{with ocaml_opt}
%attr(755,root,root) %{_libdir}/ocaml/gettext/*.cmxs
%attr(755,root,root) %{_libdir}/ocaml/gettext/base/*.cmxs
%attr(755,root,root) %{_libdir}/ocaml/gettext/extension/*.cmxs
%attr(755,root,root) %{_libdir}/ocaml/gettext-camomile/*.cmxs
%attr(755,root,root) %{_libdir}/ocaml/gettext-stub/*.cmxs
%endif

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ocaml-gettext
%attr(755,root,root) %{_bindir}/ocaml-xgettext
%{_libdir}/ocaml/gettext/base/*.cmi
%{_libdir}/ocaml/gettext/base/*.cmt
%{_libdir}/ocaml/gettext/base/*.cmti
%{_libdir}/ocaml/gettext/base/*.mli
%{_libdir}/ocaml/gettext/base/.private
%{_libdir}/ocaml/gettext/extension/*.cmi
%{_libdir}/ocaml/gettext/extension/*.cmt
%{_libdir}/ocaml/gettext/extension/*.mli
%{_libdir}/ocaml/gettext/extension/.private
%{_libdir}/ocaml/gettext-camomile/*.cmi
%{_libdir}/ocaml/gettext-camomile/*.cmt
%{_libdir}/ocaml/gettext-camomile/*.cmti
%{_libdir}/ocaml/gettext-camomile/*.mli
%{_libdir}/ocaml/gettext-camomile/dune-package
%{_libdir}/ocaml/gettext-camomile/opam
%{_libdir}/ocaml/gettext-stub/*.cmt
%{_libdir}/ocaml/gettext-stub/dune-package
%{_libdir}/ocaml/gettext-stub/opam
%dir %{_libdir}/ocaml/gettext-stub
%{_libdir}/ocaml/gettext-stub/*.cmi
%{_libdir}/ocaml/gettext-stub/libgettextStub_stubs.a
%if %{with ocaml_opt}
%{_libdir}/ocaml/gettext/base/*.a
%{_libdir}/ocaml/gettext/base/*.cmx
%{_libdir}/ocaml/gettext/base/*.cmxa
%{_libdir}/ocaml/gettext-camomile/*.a
%{_libdir}/ocaml/gettext-camomile/*.cmx
%{_libdir}/ocaml/gettext-camomile/*.cmxa
%{_libdir}/ocaml/gettext/*.cmxa
%{_libdir}/ocaml/gettext/extension/*.a
%{_libdir}/ocaml/gettext/extension/*.cmx
%{_libdir}/ocaml/gettext/extension/*.cmxa
%{_libdir}/ocaml/gettext-stub/gettextStub.a
%{_libdir}/ocaml/gettext-stub/*.cmx
%{_libdir}/ocaml/gettext-stub/*.cmxa
%endif
%{_libdir}/ocaml/gettext/dune-package
%{_libdir}/ocaml/gettext/opam
%{_examplesdir}/%{name}-%{version}
%{_mandir}/man1/ocaml-gettext.1*
%{_mandir}/man1/ocaml-xgettext.1*
%{_mandir}/man5/ocaml-gettext.5*
%changelog
* Thu Apr 01 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ocaml-gettext.git;a=log;h=master

* Thu Apr 01 2021 Jan Rękorajski <baggins@pld-linux.org> cba1f13
- package private dir in full
- rel 2

* Tue Mar 30 2021 Jan Rękorajski <baggins@pld-linux.org> 03af625
- fix non-opt build

* Tue Mar 30 2021 Jan Rękorajski <baggins@pld-linux.org> cc17f6e
- up to 0.4.2

* Sat Jun 10 2017 Jakub Bogusz <qboosh@pld-linux.org> a8b1b73
- findlib runtime package is sufficient

* Mon Jun 05 2017 Jan Rękorajski <baggins@pld-linux.org> a35efbb
- up to 0.3.7

* Mon Jun 05 2017 Jan Rękorajski <baggins@pld-linux.org> 831019c
- rebuild with ocaml 4.04.1
- release 5 (by relup.sh)

* Mon Mar 21 2016 Jan Rękorajski <baggins@pld-linux.org> 739ce82
- release 4 (by relup.sh)

* Sat Jul 25 2015 Jakub Bogusz <qboosh@pld-linux.org> 05dc1eb
- back to BR: ocaml-fileutils-devel

* Sun Jul 19 2015 Jakub Bogusz <qboosh@pld-linux.org> 085bcd6
- complete ocaml_opt archs list
- updated ocaml-fileutils package name
- opt/noopt files cleanup
- release 3 (ocaml rebuild)

* Mon Apr 06 2015 Jan Rękorajski <baggins@pld-linux.org> 19e7f5b
- added ocaml_opt bcond
- rel 2

* Sun Nov 16 2014 Jan Rękorajski <baggins@pld-linux.org> cd276af
- up to 0.3.5

* Sun Nov 16 2014 Jan Rękorajski <baggins@pld-linux.org> 0bea6f2
- rebuild with ocaml 4.02
- release 3 (by relup.sh)

* Sun Oct 21 2012 Jan Rękorajski <baggins@pld-linux.org> 559e952
- rebuild to fix broken filedigests
- release 2 (by relup.sh)

* Sun Oct 07 2012 Jakub Bogusz <qboosh@pld-linux.org> 64a15c7
- cleanup

* Thu Sep 27 2012 Jakub Bogusz <qboosh@pld-linux.org> cb29386
- cleanup

* Wed Sep 26 2012 Jakub Bogusz <qboosh@pld-linux.org> d918f3b
- try -j1 for make install too

* Wed Sep 26 2012 Jakub Bogusz <qboosh@pld-linux.org> d4593b3
- use make -j1 to avoid "Unbound module" errors

* Tue Sep 25 2012 Jakub Bogusz <qboosh@pld-linux.org> e465ee3
- new

